> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Список рабочих областей

> Выводит список рабочих областей, видимых субъекту публичного API.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ru.json GET /v1/public/accounts/{account_id}/workspaces
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/workspaces:
    get:
      tags:
        - public-accounts
        - public-workspaces
      summary: Список рабочих областей
      description: Выводит список рабочих областей, видимых субъекту публичного API.
      operationId: list_public_workspaces_v1_public_accounts__account_id__workspaces_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: page
          required: false
          schema:
            default: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            title: Page Size
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceListResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Ошибка валидации
      security:
        - PublicBearerAuth: []
components:
  schemas:
    WorkspaceListResponse:
      properties:
        items:
          description: Рабочие области на этой странице
          items:
            $ref: '#/components/schemas/WorkspaceResponse'
          title: Элементы
          type: array
        page:
          description: Текущий номер страницы, основанный на единице
          title: Страница
          type: integer
        page_size:
          description: Максимальное количество элементов на странице
          title: Размер страницы
          type: integer
        total:
          description: Всего соответствующих рабочих пространств
          title: Всего
          type: integer
      required:
        - items
        - page
        - page_size
        - total
      title: WorkspaceListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Сведения
          type: array
      title: HTTPОшибка проверки
      type: object
    WorkspaceResponse:
      properties:
        account_id:
          description: Учетная запись UUID, которой принадлежит рабочая область.
          format: uuid
          title: Id аккаунта
          type: string
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Временная метка создания рабочей области
          title: Создано в
        id:
          description: UUID рабочей области
          format: uuid
          title: ID
          type: string
        name:
          description: Отображаемое имя рабочей области
          title: Имя
          type: string
        status:
          default: active
          description: Статус жизненного цикла рабочей области
          title: Статус
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Временная метка последнего обновления рабочей области
          title: Обновлено в
      required:
        - id
        - name
        - account_id
      title: WorkspaceResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Расположение
          type: array
        msg:
          title: Сообщение
          type: string
        type:
          title: Тип ошибки
          type: string
      required:
        - loc
        - msg
        - type
      title: Ошибка проверки
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````